Skip to main content

Round Replay Info

Request Example

POST /serviceApi.php HTTP/1.1
Content-Type: application/json
https://stg.otkgaming.com/serviceApi.php
{
"action" : "roundReplayInfo",
"platform" : 8,
"partnerId" : 1,
"time" : "2025-07-11 16:14:22",
"data": {
"roundId": 14134636304,
"logMonth": 7
},
"hash" : "1975d555527d2004b6956321a0e0e6f4635f7d32f53cf2be332ec2852fa6e4bb"
}


Property NameDescriptioTypeNotes
actionrequest typestring
platformplatform identifierintegerunique per platform
partnerIdidentifier of partner on the platformnumberunique per platform
timerequest timestringdd-mm-yyyy hh:mm:ss
data[roundId]bet transaction idbiginttransaction id is provided from game provider side
data[logMonth]month passed from current monthinteger
hashcalculated sha256 string (privateKey provided game provider’s side)stringhash string is calculated based on privateKey, time, and "data" in JSON string. Example $hash = hash("sha256", "privateKey15-02-2023 15:31:31json_encode(data)

Response Example

https://stg.otkgaming.com
{
"code" : 0,
"message" : "ok",
"data": {
"start": "2025-07-11 12:13:47",
"end": "2025-07-11 16:14:22",
"betAmount": 20,
"winAmount": 4.9,
"currency": "EUR",
"replayLink": "https://stg.otkgaming.com/replayGame.php?replayToken=220087fe30416c&tableM=0&lang=en"
}
}